# CARD_DELIVERY_TRACKING

New card delivery tracking information is available.

Endpoint: POST card_delivery_tracking
Version: 1.0

## Request fields (application/json):

  - `id` (string)
    Unique identifier for the card tracking record.
    Example: "2ba86442-a9a1-4634-9eb8-fef3500322b3"

  - `card_id` (string)
    ID of the card.
    Example: "1fe8caa4bf1f49d87b2d63c14bb565f0mcrd"

  - `shipping_provider` (string)
    The shipping company that shipped the card.
    Example: "DHL Express"

  - `date_of_shipment` (string)
    Conditional field. If shipment successfully happened, this field is presenting on response and keeps shipment date information. Format: yyyy-MM-dd
    Example: "2020-12-30"

  - `shipping_tracking_information` (string)
    Conditional field. Keeps the tracking code from company. If its present message will be empty
    Example: "JD014600009536663804"

  - `message` (string)
    Conditional field. Keeps the error message from the provider. If its present shipping_tracking_information will be empty
    Example: "a5844f601567db9b59b3531245a58e96cacc"

  - `country_code` (string)
    (Conditional field) Country ISO Code to represent countries, dependent territories, and special areas of geographical interest.
    Example: "DE"

  - `has_picture` (boolean)
    (Conditional field) Flag that shows card has the picture or not.
    Example: true


## Response 200 fields
